BEGIN C#Q04001

IF ~Global("C#Q04_InsideCreationAfter","GLOBAL",1)~ THEN end
SAY @54
IF ~~ THEN EXIT
END

IF ~Global("C#Q04_ArnimAndWyrm","GLOBAL",1)~ THEN help
SAY @0
IF ~~ THEN DO ~SetGlobalTimer("C#Q04_ArnimAndWyrmT","GLOBAL",5) SetGlobal("C#Q04_ArnimAndWyrm","GLOBAL",2)  SetGlobal("C#Q04_CreateWyrm","GLOBAL",1) EscapeArea()~ %UNSOLVED_JOURNAL% @1 EXIT
END

BEGIN C#Q04003

IF ~Global("C#Q04_InsideCreationAfter","GLOBAL",1)~ THEN mother_end
SAY @55
IF ~Global("C#Q04_StartTimer","GLOBAL",1)~ THEN EXIT
IF ~Global("C#Q04_StartTimer","GLOBAL",0)~ THEN + mother_end_01
END


IF ~Global("C#Q04_ArnimAndWyrm","GLOBAL",0)~ THEN mother_before
SAY @56 
IF ~~ THEN EXIT
END


IF ~~ THEN mother_end_01
SAY @57
IF ~~ THEN DO ~SetGlobalTimer("C#Q04_ReturnTimer","GLOBAL",ONE_DAY) SetGlobal("C#Q04_StartTimer","GLOBAL",1)~ EXIT
END

IF ~~ THEN mother_01
SAY @2
++ @3 EXTERN C#Q04005 soldier1_03
++ @4 EXTERN C#Q04005 soldier1_02
END

BEGIN C#Q04004

IF ~Global("C#Q04_ArnimAndWyrm","GLOBAL",0)~ THEN father_before
SAY @58
IF ~~ THEN EXIT
END

IF ~~ THEN father_01
SAY @5
++ @6 EXTERN C#Q04003 mother_01
++ @4 EXTERN C#Q04005 soldier1_02
END

IF ~~ THEN father_02
SAY @7
++ @6 EXTERN C#Q04003 mother_01 
++ @4 EXTERN C#Q04005 soldier1_02
END

IF ~~ THEN father_03
SAY @8
++ @9 + father_04
++ @4 EXTERN C#Q04005 soldier1_02
END

IF ~~ THEN father_04
SAY @10
++ @11 + father_05
++ @4 EXTERN C#Q04005 soldier1_02
END



BEGIN C#Q04005 

IF ~~ THEN soldier1_01
SAY @12
++ @13 EXTERN C#Q04004 father_01
++ @14 EXTERN C#Q04004 father_02
++ @4 + soldier1_02
END

IF ~~ THEN soldier1_02
SAY @15
IF ~~ THEN DO ~SetGlobal("C#Q04_ArnimAndWyrm","GLOBAL",5) SetGlobal("C#Q03_NashkellMonster","GLOBAL",1) %ERASEJOURNALENTRY_1%~ %SOLVED_JOURNAL% @16 EXIT 
END

IF ~~ THEN soldier1_03
SAY @17
++ @18 EXTERN C#Q04001 son_01
++ @19 + soldier1_02
++ @4 + soldier1_02
END 


CHAIN
IF ~Global("C#Q04_ArnimAndWyrm","GLOBAL",4)~ THEN C#Q04003 mother
@20
== C#Q04001 IF ~Gender(Player1,FEMALE)~ THEN @21
== C#Q04001 IF ~Gender(Player1,MALE)~ THEN @22
== C#Q04003 @23
== C#Q04005 @24
END
++ @25 EXTERN C#Q04005 soldier1_01
++ @26 EXTERN C#Q04004 father_01
++ @14 EXTERN C#Q04004 father_02
++ @4 EXTERN C#Q04005 soldier1_02

CHAIN
IF ~~ THEN C#Q04001 son_01
@27
== C#Q04004 @28
== C#Q04005 IF ~Gender(Player1,MALE)~ THEN @29
== C#Q04005 IF ~Gender(Player1,FEMALE)~ THEN @30
== C#Q04003 @31
== C#Q04004 @32
END
++ @33 EXTERN C#Q04004 father_03
++ @34 EXTERN C#Q04004 father_03
++ @4 EXTERN C#Q04005 soldier1_02

CHAIN
IF ~~ THEN C#Q04004 father_05
@35
= @36
== C#Q04001 @37
== C#Q04001 @38
== C#Q04003 @39
== C#Q04004 @40
== C#Q04003 @41
== C#Q04005 @42
== C#Q04004 @43
== C#Q04005 @44
== C#Q04003 @45
== C#Q04004 @46
== C#Q04005 @47
END
++ @48 %SOLVED_JOURNAL% @49 EXTERN C#Q04005 soldier1_04
++ @50 %SOLVED_JOURNAL% @49 EXTERN C#Q04005 soldier1_04
++ @51 EXTERN C#Q04005 soldier1_02

CHAIN
IF ~~ THEN C#Q04005 soldier1_04
@52
== C#Q04004 @53 DO ~SetGlobal("C#Q04_ArnimAndWyrm","GLOBAL",5) AddExperienceParty(300) %ERASEJOURNALENTRY_1% ActionOverride("C#Q04001",EscapeArea()) 
ActionOverride("C#Q04003",EscapeArea())
ActionOverride("C#Q04005",EscapeArea())
ActionOverride("C#Q04006",EscapeArea()) EscapeArea()~ EXIT